ABORT(3F)

NAME
abort - abnormal termination

SYNOPSIS
subroutine abort (string)
character*(*) string

DESCRIPTION
Abort cleans up the I/O buffers and then terminates execution. If string is given, it is written to logical unit 0 preceded by ``abort:''.

If the -g flag was specified during loading, then execution is terminated by calling abort (3) which aborts producing a core file in the current directory. If -g was not specified while loading, then *** Execution terminated is written on logical unit 0 and execution is terminated.

If the f77_dump_flag environment variable has been set to a value which begins with y, abort (3) is called whether or not -g was specified during loading. Similarly, if the value of f77_dump_flag begins with n, abort is not called.

FILES
/usr/lib/libF77.a

SEE ALSO
abort(3)

BUGS
String is ignored on the PDP11.